Bug 603534 - removing tahoma from wine package breaks apps
removing tahoma from wine package breaks apps
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-13 14:28 EDT by Lukas Middendorf
Modified: 2011-06-27 14:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:08:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
comparison tahoma installed/ not installed (4.19 KB, image/png)
2010-06-13 14:28 EDT, Lukas Middendorf
no flags Details
RegiStax on wine-1.2 final w tahoma replacement (96.40 KB, image/jpeg)
2010-07-22 00:37 EDT, Andreas Bierfert
no flags Details

  None (edit)
Description Lukas Middendorf 2010-06-13 14:28:28 EDT
Created attachment 423667 [details]
comparison tahoma installed/ not installed

In wine 1.2.0-0.2.rc2.fc13 the tahoma font seems to have been removed. Unfortunately this breaks some applications which rely on the exact properties of tahoma, as the replacement chosen has different character widths.

I'm trying to use RegiStax V5.1 (available from http://www.astronomie.be/registax/setupregistax5_1.exe ) and without the tahoma font the layout is broken in many places, making it very hard to use registax with wine.

I guess that the also missing sse*.fon break other applications.

I have attached an image showing the difference between tahoma installed and tahoma not installed.
Comment 1 Lukas Middendorf 2010-07-21 04:39:55 EDT
Still present with 1.2.0-1.fc13
Comment 2 Andreas Bierfert 2010-07-22 00:37:11 EDT
Created attachment 433578 [details]
RegiStax on wine-1.2 final w tahoma replacement
Comment 3 Andreas Bierfert 2010-07-22 00:39:54 EDT
Could you try with a clean ~/.wine folder. I have revised the patches and as you can see from my screenshot cannot reproduce this.
Comment 4 Lukas Middendorf 2010-07-22 04:35:29 EDT
I can reproduce your screenshot with a clean ~/.wine folder.
This also has to be done when updating from a wineprefix created in 1.1.38-1.fc13. I would call this step unacceptable. 

What's still different from the "original" (with tahoma) is the line "File Version…" which seems to use a bigger font size now compared with the original tahoma.
Comment 5 Andreas Bierfert 2010-07-23 00:38:06 EDT
I know that this is not the perfect solution. But currently there is no other way except to force a registry change by adding a little magic somewhere which would break things for people who install tahoma manually.

I will see to write a registry file which changes the relevant values and will be shipped and pointed to in the documentation so that existing installations can be upgraded by running the reg file via regedit.
Comment 6 faldegast 2010-08-01 10:12:30 EDT
"This also has to be done when updating from a wineprefix created in
1.1.38-1.fc13. I would call this step unacceptable. "
It is fully acceptable. 1.1 is unstable alpha software and upgrades from it can not be guarantied. If this problem occurs with upgrades from 1.0.X then it is unacceptable. Does it?

Cant this problem be solved by just shipping WineTahoma and whatever other free fonts that are included in Wine? Also it would be prefered to have WineTahoma as a globally available font, not just limited to Wine applications.
Comment 7 Andreas Bierfert 2010-08-01 10:21:46 EDT
The problem is a result of the removal of WineTahoma. It currently cannot be shipped with the wine packages. Removal is not the only solution as I pointed out in comment 5. I will try to get the registry file setup within the next couple of days.
Comment 8 faldegast 2010-08-01 17:17:46 EDT
"The problem is a result of the removal of WineTahoma. It currently cannot be
shipped with the wine packages."
Why?
Comment 9 Bug Zapper 2011-06-02 07:02:01 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2011-06-27 14:08:20 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.